import request from '@/utils/request'

// 任务创建模板列表
export function apiCreateTaskTemplateLists(params: any) {
    return request.get({ url: '/create_task_template.create_task_template/lists', params })
}

// 添加任务创建模板
export function apiCreateTaskTemplateAdd(params: any) {
    return request.post({ url: '/create_task_template.create_task_template/add', params })
}

// 编辑任务创建模板
export function apiCreateTaskTemplateEdit(params: any) {
    return request.post({ url: '/create_task_template.create_task_template/edit', params })
}

// 删除任务创建模板
export function apiCreateTaskTemplateDelete(params: any) {
    return request.post({ url: '/create_task_template.create_task_template/delete', params })
}

// 任务创建模板详情
export function apiCreateTaskTemplateDetail(params: any) {
    return request.get({ url: '/create_task_template.create_task_template/detail', params })
}